# Codigo para llevar's generator

This is the static site generator used to build [Codigo Para Llevar](https://codigoparallevar.com/) (my personal site). It contains:

- A markdown blog (with content ported from acrylamid). Saved as `/blog/`.
- A set of org-mode based notes. Saved as `/notes/`.

It also copies over some static assets (css, js, fonts).

The scripts are hardcoded with the hostnames and paths for my own site, so you might want to update them.

General documentation is in progress and might be replaced little by little by the more interactive [org-web-editor](https://code.codigoparallevar.com/kenkeiras/org-web-editor) once that one (1) supports all the features here and (2) has support for building static sites.

## Instructions

Generally, what you want to do is to run `make` once to prepare the static files, then run this to generate the notes.

```bash
mkdir -p _gen
WATCH_AND_REBUILD=0 python3 scripts/generate.py <path to your notes> _gen/notes [<DEFAULT SUBPATH (usually 'public', '.' to ignore)>]
```

Use `WATCH_AND_REBUILD=1` (or empty) for automatic rebuilds.

## Filtering

This won't render **all** notes, but try to select the PUBLIC ones and skip the PRIVATE ones.

PUBLIC files are contained on the DEFAULT_SUBPATH, PRIVATE headlines have the `:private:` tag.
